Installed Wii IOS58 on vWii. How to reverse?

Discussion in 'Wii U - Hacking & Backup Loaders' started by tOPO, May 24, 2014.

  1. tOPO
    OP

    tOPO Member

    Newcomer
    23
    2
    Jul 22, 2007
    Hi. Sorry for shitty topic but couldn't really think of anything else.

    I'll try be as detailed as i can of my stupidity.

    I wanted to get Nintendont running on my vWii so i followed this guide and everything went great until i couldn't boot up a game so i installed the IOS58 that was mentioned in the guide. I probably missed something because i ended up downloading the IOS58 trough NUSD and apparently it was/is for the Wii and not vWii.

    vWii mode works fine with games and all but when i try to run homebrew it just gives me a black screen and console freezes and i have to cut the power to get it working again.

    I managed to get some help on how to access a WAD manager and booting it up but i'm hitting a wall and i would like some help to figure this out.

    I successfully boot up Wii Mod v3.2 and i get this which seems fine.

    [​IMG]

    When i click WAD Manager (which i suppose is the right choice here) i get this.

    [​IMG]

    I thought about maybe "uninstalling" the IOS58 that i installed in the first place but i read that you shouldn't so i'm scared until someone tells me otherwise.

    When i press to continue and choose the file IOS58 v6432.wad (which is supposed to be the correct vWii IOS58) i get this error.

    [​IMG]

    After this i don't know what to do. I really hope there is an easy fix or a fix at all. I'm not completely stupid when it comes to messing around with files and stuff i just don't really understand all the terms in the Wii homebrew world.

    Thank you for reading :)
     


  2. DarkMatterCore

    DarkMatterCore I like turtles.

    Member
    890
    197
    May 30, 2009
    Venezuela
    Cabimas, Zulia, Venezuela.
    Since you most likely loaded WiiMod using a game with an available exploit, the application didn't inherit any hardware access rights, and thus it cannot disable the memory protection to apply patches to the running IOS.

    You must first reload to a different IOS, preferably one that is patched (the application itself told you that in the second picture); that's what the option "Change IOS" is good for. If you already installed a cIOS, odds are you can choose IOS249 to do the installation process.
     
  3. tOPO
    OP

    tOPO Member

    Newcomer
    23
    2
    Jul 22, 2007

    I just tried to load 249 ( i know i installed some custom ios294 to run homebrew before) but it freezes. Do i need to have the file in the /wad folder of the SD card?
     
  4. tOPO
    OP

    tOPO Member

    Newcomer
    23
    2
    Jul 22, 2007
    I solved it thanks to user "TheChield"
    What i did was i ran YAMM elf file and chose IOS236 and then i could install the vwii ios58. My vwii is loading HBC again amongst other things. Thanks :)
     
    TheChield likes this.
  5. NicholasCullihal

    NicholasCullihal GBAtemp Regular

    Member
    145
    18
    Jul 28, 2012
    how did you get it to launch??? i can't get it to launch using indianapwns
     
  6. NicholasCullihal

    NicholasCullihal GBAtemp Regular

    Member
    145
    18
    Jul 28, 2012
    please help
     
  7. NicholasCullihal

    NicholasCullihal GBAtemp Regular

    Member
    145
    18
    Jul 28, 2012
    please help
     
  8. tOPO
    OP

    tOPO Member

    Newcomer
    23
    2
    Jul 22, 2007

    I used Bathaxx but i guess all these exploits work in the same way. Basically what you do is you replace the HBC installer .elf file with YAMM_rev28 .elf file and booted that up. Then i installed the correct .wad file (check PM)
     
  9. Enigma Hall

    Enigma Hall GBAtemp Advanced Fan

    Member
    641
    195
    Feb 6, 2013
    Brazil
    this should be in the master vwii page right? Its a solution and deserves a better way to be found.
     
  10. TheChield

    TheChield Ugly Troll

    Member
    210
    29
    Jul 10, 2013
    France
    Yes it should be, but there is a sticky thread that says to be careful and not install wii stuff on vWii and nobody read it...
    This shouldn't occur so shouldn't have to be fixed ;)
     
  11. ac3ds

    ac3ds PlayStation Addict

    Member
    167
    40
    Sep 2, 2015
    United States
    A box
    Could you PM me the correct ios 58 i did the exact same thing.
     
  12. Bruno Nakayasu

    Bruno Nakayasu Newbie

    Newcomer
    7
    3
    Aug 26, 2015
    Brazil
    I believe they shoud put a massive red bold line saying "DO NOT INSTALL/MODIFY IOS BELOW 200" copied and pasted like 500 times, on the softmod vwii tutorial.
     
    paulloeduardo likes this.
  13. gotsfritz@gmail.

    gotsfritz@gmail. Newbie

    Newcomer
    2
    0
    Jan 30, 2012
    United States
    Could you PM me the correct ios 58? I did the exact same thing lol.
     
  14. Phill

    Phill Newbie

    Newcomer
    4
    1
    Aug 15, 2016
    United States
    Can you pm me the ios58 wad? Had exact same problem :-P
     
  15. Kafluke

    Kafluke GBAtemp Psycho!

    Member
    3,473
    1,719
    May 6, 2006
    United States
    @CJB100
     
    CJB100 likes this.
  16. CJB100

    CJB100 Programmer, Media Producer, Hardware Repair

    Member
    489
    330
    May 8, 2016
    United States
    USA
    Thank you for tagging me here Kafluke. We can edit this into the guide, but the ultimate issue here is that people making this mistake are obviously not following the currently stickied guide to begin with or they wouldnt even have this issue.
     
  17. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    17,710
    8,318
    Oct 27, 2002
    France
    Engine room, learning
    the two (old/previous) vWii tutorial said to use a clean, new, without residual Wii homebrew or files, formated SD card.
    users are keeping their files used to hack the wii on their SD card thinking it's alright but some homebrew are using these files automatically if found.

    like CJB said, if users followed the guides, they wouldn't even have a Wii version of a IOS. they wouldn't even have ANY IOS on their card, and no homebrew capable of downloading Wii version of the IOSes.
    there is already a sticky guide to tell what to NEVER do, but users don't read it before it's too late, because they usually follow old, random and dangerously bad youtube tutorial, then comes here to complain and get help.

    You need only IOS58 ?
    do you have a way to install it? (cIOS236 ? cIOS249? forwarder channel ? exploitable game?)
    based on your answer, the way to fix your issue will be different.

    JoostinOnline: do you know if YAWMM hacksden edition is patching the IOS installation function from IOS249? or is 236 or v58i channel still required?
    I didn't check the sources, sorry :P
    Also, I never tried v58i channel, is it asking which slot to reload to, or using 249 and installing the wad without user intervention?
     
  18. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,935
    3,712
    Apr 2, 2011
    United States
    The Twilight Zone
    If you haven't already, I strongly recommend linking to or copying this in whatever guide he's talking about. I know Cyan added it to the stickied guides.

    Edit: Never mind, I found the guide and you've already copied the instructions.
     
    Last edited by JoostinOnline, Aug 15, 2016
  19. Phill

    Phill Newbie

    Newcomer
    4
    1
    Aug 15, 2016
    United States
    Yes, I can still use 236 to install the ios, if it is a wad, because that's how I installed the Wii one
     
  20. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,935
    3,712
    Apr 2, 2011
    United States
    The Twilight Zone
    Check your inbox in a few minutes.
     
    CJB100 likes this.